package com.ms.biz.service;

import com.ms.dal.entity.DoudianMsg;
import com.ms.dal.entity.DoudianMsgParseQueue;

/**
 *
 */
public interface DoudianMsgService  {

    int deleteByPrimaryKey(Long id);

    int insert(DoudianMsg record);

    int insertSelective(DoudianMsg record);

    DoudianMsg selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(DoudianMsg record);

    int updateByPrimaryKey(DoudianMsg record);

    boolean addDoudianMsg(String msgBody);

    DoudianMsgParseQueue lockDoudianMsgParseQueue();

    boolean processDoudianMsgParseQueue(Long doudianMsgId);

    void failProcessDoudianMsgParseQueue(Long doudianMsgId);

    boolean deleteDoudianMsgParseQueue(Long doudianMsgId);
}
